﻿using System;
using System.Collections.Generic;
using CoreGraphics;
using Foundation;
using Syncfusion.SfCarousel.iOS;
using UIKit;

namespace TestCarousel1
{
	public partial class ViewController : UIViewController
	{
		protected ViewController(IntPtr handle) : base(handle)
		{
			// Note: this .ctor should not contain any initialization logic.
		}
		SFCarousel carousel = new SFCarousel();
		public override void ViewDidLoad()
		{
			base.ViewDidLoad();

			carousel.Frame = new CGRect(0, 0, 500, 500);
			carousel.Duration = 0;
			UIView AnimalsTable = new UIView();
			AnimalsTable.Frame = new CGRect(0, 0, carousel.ItemWidth, carousel.ItemHeight);
			UIButton uibutton1 = new UIButton();
			uibutton1.Frame = new CGRect(0, 0, carousel.ItemWidth,carousel.ItemHeight);
			uibutton1.BackgroundColor = UIColor.Red;
			AnimalsTable.AddSubview(uibutton1);
			UIView CulledTable = new UIView();
			CulledTable.Frame = new CGRect(0, 0, carousel.ItemWidth ,50);
			UIButton uibutton2 = new UIButton();
			uibutton2.Frame = new CGRect(0, 0, carousel.ItemWidth, carousel.ItemHeight);
			uibutton2.BackgroundColor = UIColor.Green;
			CulledTable.AddSubview(uibutton2);
			UIButton button1 = new UIButton();
			button1.Frame = new CGRect(100, 510, 50, 50);
			button1.BackgroundColor = UIColor.Gray;
			button1.SetTitle("+", UIControlState.Normal);
			button1.TouchUpInside += Handle_Event1;
			UIButton button2 = new UIButton();
			button2.Frame = new CGRect(200, 510, 50, 50);
			button2.BackgroundColor = UIColor.Gray;
			button2.SetTitle("-", UIControlState.Normal);
			button2.TouchUpInside += Handle_Event2;
			//this.AddSubview(carousel);
			var tabs = new List<UIView>
			{
				AnimalsTable,
				CulledTable
			};
			NSMutableArray<SFCarouselItem> listOfArray = new NSMutableArray<SFCarouselItem>();

			foreach (var item in tabs)
			{
				SFCarouselItem items = new SFCarouselItem();
				items.View = item;
				listOfArray.Add(items);

			}

			carousel.DataSource = listOfArray;

			this.View.AddSubview(carousel);
			this.View.AddSubview(button1);
			this.View.AddSubview(button2);
			// Perform any additional setup after loading the view, typically from a nib.
		}
		public void Handle_Event1(object obj, EventArgs e)
		{
			if((carousel != null) && (carousel.SelectedIndex < (int)(carousel.DataSource.Count-1)))
				carousel.SelectedIndex += 1;
		}
		public void Handle_Event2(Object obj, EventArgs e)
		{
			if ((carousel != null) && (carousel.SelectedIndex > 0))
				carousel.SelectedIndex -= 1;
		}

		public override void DidReceiveMemoryWarning()
		{
			base.DidReceiveMemoryWarning();
			// Release any cached data, images, etc that aren't in use.
		}
	}
}
